(*;;
#use "c:/ocaml/lib/mlgraph.lib/mlg/mlg";;
*)

(*mlPicMode := true;;*)

begin_mlPic "camel" "p";;

let p =
  let c = scale (0.2,0.2) (make_bitmap_picture(read_pgm "camel.pgm")) in
  let l = 50.0 and h = 50.0 in
  let f pict tml t =
    align_vertically Align_Center [
      force_picture_in_frame
        {xmin = -. l;xmax = l; ymin = -. h; ymax = h}
        (center_picture pict origin);
      latexText ~strMl:tml t] in
  align_horizontally Align_Center [
    f c "p" "$p$";
    f (ovale c) "ovale p" "\\texttt{ovale} $p$";
    f (cercle c) "cercle p" "\\texttt{cercle} $p$";
    f (rectangle c) "rectangle p" "\\texttt{rectangle} $p$"];;

end_mlPic p;;





