(*;;
#use "c:/ocaml/lib/mlgraph.lib/mlg/mlg";;
*)
;; 
begin_mlPic "ovale" "p";;

let p =
  let programme = (latexText ~strMl:"programme" "\\usebox{\\ProgrammeOvale}") in 
  let h = picture_height programme /. 2. +. 10.0 in
  let o ?strMl t = rotate 20.0 (ovale (latexText ?strMl t))
  and av l p t =
    align_vertically Align_Center [
       force_picture_in_frame
         {xmin = -. l; ymin = -. h; xmax = l; ymax = h}
         (center_picture p origin);
         latexText ~strMl:"essai" t] in
  align_horizontally Align_Center [
    av 75.0 programme "\\texttt{essai.ml}";
    av 40.0 (o "racine") "\\texttt{essai.ps}";
    av 50.0 (latexText ~strMl:"MlPic essai" 
         "\\ldots\\texttt{\\backslash MlPic\\{essai\\}}\\ldots") 
       "source \\LaTeX";
    av 40.0 (o ~strMl:"racine" "$\\sqrt{x+1}$") "rsultat"];;

end_mlPic p;;
